1. KYC
ZamuPay API Documentation
  • Introduction
  • Definitions
    • Data Types
  • Authorization
    • Overview
    • Token Request
      POST
    • Find Transaction Routes
      GET
    • Health Check
      GET
  • Checkout Request
    • Overview
    • Checkout Order Request
      POST
    • Query Checkout Request
      GET
    • Checkout Callback Request
      POST
  • Payment Request
    • Overview
    • Payment Order Request
      POST
    • Reject Order By OriginatorConversationId
      POST
    • Find Payment Order By OriginatorConversationId
      GET
  • Collection Request
    • Overview
    • Find Express Deposit By OriginatorConversationId
      GET
    • Express Deposit Request
      POST
  • Bill Payments
    • Overview
    • Bill Number
      POST
    • Find Bill Number By Service Id and Account Number
      GET
    • Bill Request Payment
      POST
    • Find Bill Request By Originator Converstion Id
      GET
    • Find Bill Services
      GET
    • Bill Request Validation
      POST
  • KYC
    • Overview
    • Account Number Validation Request
      POST
    • KYC Validation
      POST
    • Find KYC Status by SystemTraceAuditNumber
      GET
    • Find Account Validation Status by SystemTraceAuditNumber
      GET
  • Payment Links
    • Overview
    • Find Payment Links By Id
    • Create Payment Link
    • Update Payment Link
  • Customer Accounts
    • Balance Check
    • Find Charges By TransactionTypeId
  • Airtime Purchase
    • Overview
    • Airtime Purchase
    • Find Airtime Purchases By OriginatorConversationId
  1. KYC

Find KYC Status by SystemTraceAuditNumber

https://auth.zamupay.com
https://auth.zamupay.com
https://auth.zamupay.com
https://auth.zamupay.com
GET
/v1/kyc-request/check-status
Retrieves the status of a KYC request using the SystemTraceAuditNumber.
Pass the SystemTraceAuditNumber as a query parameter to identify the request.

Sample success response#

{
    "status": "00",
    "statusDesc": "Success",
    "kycRecordDto": {
        "status": 0,
        "responseCode": null,
        "responseCodeDesc": null,
        "kycRequestFirstName": "Ian",
        "kycRequestMiddleName": "Murithi",
        "kycRequestLastName": "Njuguna",
        "kycRequestOtherNames": "",
        "kycRequestFullNames": "Ian  Murithi Njuguna",
        "kycRequestNationalID": "34299005",
        "kycRequestTelephoneMobile": "string",
        "kycRequestReportReason": 0,
        "kycRequestCallBackURL": null,
        "personalProfileNationalID": null
    }
}

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Query Params

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://auth.zamupay.com/v1/kyc-request/check-status?stan=5c3842c9-c2d4-4411-amd0-e76a6982e30f' \
--header 'Authorization: Bearer <token>'
Response Response Example
{}
Modified at 2026-04-16 19:12:59
Previous
KYC Validation
Next
Find Account Validation Status by SystemTraceAuditNumber
Built with